commit 7b462d3c88f115f8c96276f36fa91de82d5d772e
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Oct 10 02:28:00 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 80c58c12bcc..4f7062df3d1 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251009
+20251010
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index f830854e82d..81204a7e49d 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,35 @@
+2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122222
+	* gcc.target/avr/pr122222-sitod.c: New test.
+
+2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122220
+	* gcc.target/avr/pr122220.c: New test.
+
+2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122210
+	* gcc.target/avr/dtofx.c: New test.
+
+2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122210
+	* gcc.target/avr/fxtod.c: New test.
+
 2025-10-08  Aurelien Jarno  <aurelien@aurel32.net>
 
 	Backported from master:
diff --git a/libgcc/config/avr/libf7/ChangeLog b/libgcc/config/avr/libf7/ChangeLog
index eb4d3efdb10..2f7fdc355fd 100644
--- a/libgcc/config/avr/libf7/ChangeLog
+++ b/libgcc/config/avr/libf7/ChangeLog
@@ -1,3 +1,43 @@
+2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122222
+	* libf7-asm.sx (D_floatsidf, D_floatunsidf): New modules.
+	* libf7-common.mk (F7_ASM_PARTS): Add D_floatsidf, D_floatunsidf.
+	(F7F, g_dx): Remove floatunsidf, floatsidf.
+	* libf7.c (f7_set_s32): Don't alias to f7_floatsidf.
+	(f7_set_u32): Don't alias to f7_floatunsidf.
+	* f7-renames.h: Rebuild
+	* f7-wraps.h: Rebuild.
+
+2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122220
+	* libf7-asm.sx (to_integer): Return 0x80... on negative overflow.
+
+2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122210
+	* libf7-common.mk (F7_ASM_PARTS): Add D2<fx> modules.
+	* libf7-asm.sx: Implement the D2<fx> modules.
+
+2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	Backported from master:
+	2025-10-09  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/122210
+	* libf7-common.mk (F7_ASM_PARTS): Add <fx>2D modules.
+	* libf7-asm.sx: Implement the <fx>2D modules.
+
 2025-10-06  Georg-Johann Lay  <avr@gjlay.de>
 
 	Backported from master:

